## org.eclipse.ocl.utilities
Interface OCLFactory

    public interface OCLFactory

Interface for a factory of OCl Abstract Syntax elements.

Method Summary

`

`<C,P> AssociationClassCallExp<C,P>`

`

`createAssociationClassCallExp()`
Returns a new object of class 'Association Class Call Exp'

`

`<C,O> BagType<C,O>`

`

`createBagType(C elementType)`
Returns a new object of class 'Bag Type'

`

`<C> BooleanLiteralExp<C>`

`

`createBooleanLiteralExp()`
Returns a new object of class 'Boolean Literal Exp'

`

`<C> CollectionItem<C>`

`

`createCollectionItem()`
Returns a new object of class 'Collection Item'

`

`<C> CollectionLiteralExp<C>`

`

`createCollectionLiteralExp()`
Returns a new object of class 'Collection Literal Exp'

`

`<C> CollectionRange<C>`

`

`createCollectionRange()`
Returns a new object of class 'Collection Range'

`

`<C,O> CollectionType<C,O>`

`

`createCollectionType(C elementType)`
Returns a new object of class 'Collection Type'

`

`<C,O> CollectionType<C,O>`

`

`createCollectionType(CollectionKind kind, C elementType)`
Returns a new object of class 'Collection Type'

`

`<C,EL> EnumLiteralExp<C,EL>`

`

`createEnumLiteralExp()`
Returns a new object of class 'Enum Literal Exp'

`

`<C> IfExp<C>`

`

`createIfExp()`
Returns a new object of class 'If Exp'

`

`<C> IntegerLiteralExp<C>`

`

`createIntegerLiteralExp()`
Returns a new object of class 'Integer Literal Exp'

`

`<C> InvalidLiteralExp<C>`

`

`createInvalidLiteralExp()`
Returns a new object of class 'Invalid Literal Exp'

`

`<C,PM> IterateExp<C,PM>`

`

`createIterateExp()`
Returns a new object of class 'Iterate Exp'

`

`<C,PM> IteratorExp<C,PM>`

`

`createIteratorExp()`
Returns a new object of class 'Iterator Exp'

`

`<C,PM> LetExp<C,PM>`

`

`createLetExp()`
Returns a new object of class 'Let Exp'

`

`<C,COA,SSA> MessageExp<C,COA,SSA>`

`

`createMessageExp()`
Returns a new object of class 'Message Exp'

`

`<C> NullLiteralExp<C>`

`

`createNullLiteralExp()`
Returns a new object of class 'Null Literal Exp'

`

`<C,O> OperationCallExp<C,O>`

`

`createOperationCallExp()`
Returns a new object of class 'Operation Call Exp'

`

`<C,O,P> MessageType<C,O,P>`

`

`createOperationMessageType(O operation)`
Creates the type for the messages representing invocation of the specified operation.

`

`<C,O> OrderedSetType<C,O>`

`

`createOrderedSetType(C elementType)`
Returns a new object of class 'Ordered Set Type'

`

`<C,P> PropertyCallExp<C,P>`

`

`createPropertyCallExp()`
Returns a new object of class 'Property Call Exp'

`

`<C> RealLiteralExp<C>`

`

`createRealLiteralExp()`
Returns a new object of class 'Real Literal Exp'

`

`<C,O> SequenceType<C,O>`

`

`createSequenceType(C elementType)`
Returns a new object of class 'Sequence Type'

`

`<C,O> SetType<C,O>`

`

`createSetType(C elementType)`
Returns a new object of class 'Set Type'

`

`<C,O,P> MessageType<C,O,P>`

`

`createSignalMessageType(C signal)`
Creates the type for the messages representing invocation of the specified signal.

`

`<C,S> StateExp<C,S>`

`

`createStateExp()`
Returns a new object of class 'State Exp'

`

`<C> StringLiteralExp<C>`

`

`createStringLiteralExp()`
Returns a new object of class 'String Literal Exp'

`

`<C,P> TupleLiteralExp<C,P>`

`

`createTupleLiteralExp()`
Returns a new object of class 'Tuple Literal Exp'

`

`<C,P> TupleLiteralPart<C,P>`

`

`createTupleLiteralPart()`
Returns a new object of class 'Tuple Literal Part'

`

`<C,O,P> TupleType<O,P>`

`

`createTupleType(List<? extends TypedElement<C>> parts)`
Creates a tuple type based on tthe specified part descriptions.

`

`<C> TypeExp<C>`

`

`createTypeExp()`
Returns a new object of class 'Type Exp'

`

`<C,O> TypeType<C,O>`

`

`createTypeType(C type)`
Returns a new object of class 'Type Type'

`

`<C> UnlimitedNaturalLiteralExp<C>`

`

`createUnlimitedNaturalLiteralExp()`
Returns a new object of class 'Unlimited Natural Literal Exp'

`

`<C> UnspecifiedValueExp<C>`

`

`createUnspecifiedValueExp()`
Returns a new object of class 'Unspecified Value Exp'

`

`<C,PM> Variable<C,PM>`

`

`createVariable()`
Returns a new object of class 'Variable'

`

`<C,PM> VariableExp<C,PM>`

`

`createVariableExp()`
Returns a new object of class 'Variable Exp'

Method Detail

### createBagType

    <C,O> BagType<C,O> createBagType(C elementType)

  Returns a new object of class 'Bag Type'.

  Returns:
    a new object of class 'Bag Type'.

### createCollectionType

    <C,O> CollectionType<C,O> createCollectionType(C elementType)

  Returns a new object of class 'Collection Type'.

  Returns:
    a new object of class 'Collection Type'.

### createCollectionType

    <C,O> CollectionType<C,O> createCollectionType(CollectionKind kind,
                                                   C elementType)

  Returns a new object of class 'Collection Type'.

  Returns:
    a new object of class 'Collection Type'.

### createOrderedSetType

    <C,O> OrderedSetType<C,O> createOrderedSetType(C elementType)

  Returns a new object of class 'Ordered Set Type'.

  Returns:
    a new object of class 'Ordered Set Type'.

### createSequenceType

    <C,O> SequenceType<C,O> createSequenceType(C elementType)

  Returns a new object of class 'Sequence Type'.

  Returns:
    a new object of class 'Sequence Type'.

### createSetType

    <C,O> SetType<C,O> createSetType(C elementType)

  Returns a new object of class 'Set Type'.

  Returns:
    a new object of class 'Set Type'.

### createSignalMessageType

    <C,O,P> MessageType<C,O,P> createSignalMessageType(C signal)

  Creates the type for the messages representing invocation of the specified signal.

  Parameters:
    `signal` - either a sent signal
  Returns:
    the message type

### createOperationMessageType

    <C,O,P> MessageType<C,O,P> createOperationMessageType(O operation)

  Creates the type for the messages representing invocation of the specified operation.

  Parameters:
    `operation` - a called operation
  Returns:
    the message type

### createTupleType

    <C,O,P> TupleType<O,P> createTupleType(List<? extends TypedElement<C>> parts)

  Creates a tuple type based on tthe specified part descriptions.

  Parameters:
    `parts` - a list of `TypedElement`s describing the tuple parts
  Returns:
    the new tuple type

### createTypeType

    <C,O> TypeType<C,O> createTypeType(C type)

  Returns a new object of class 'Type Type'.

  Returns:
    a new object of class 'Type Type'.

### createAssociationClassCallExp

    <C,P> AssociationClassCallExp<C,P> createAssociationClassCallExp()

  Returns a new object of class 'Association Class Call Exp'.

  Returns:
    a new object of class 'Association Class Call Exp'.

### createBooleanLiteralExp

    <C> BooleanLiteralExp<C> createBooleanLiteralExp()

  Returns a new object of class 'Boolean Literal Exp'.

  Returns:
    a new object of class 'Boolean Literal Exp'.

### createCollectionItem

    <C> CollectionItem<C> createCollectionItem()

  Returns a new object of class 'Collection Item'.

  Returns:
    a new object of class 'Collection Item'.

### createCollectionLiteralExp

    <C> CollectionLiteralExp<C> createCollectionLiteralExp()

  Returns a new object of class 'Collection Literal Exp'.

  Returns:
    a new object of class 'Collection Literal Exp'.

### createCollectionRange

    <C> CollectionRange<C> createCollectionRange()

  Returns a new object of class 'Collection Range'.

  Returns:
    a new object of class 'Collection Range'.

### createEnumLiteralExp

    <C,EL> EnumLiteralExp<C,EL> createEnumLiteralExp()

  Returns a new object of class 'Enum Literal Exp'.

  Returns:
    a new object of class 'Enum Literal Exp'.

### createIfExp

    <C> IfExp<C> createIfExp()

  Returns a new object of class 'If Exp'.

  Returns:
    a new object of class 'If Exp'.

### createIntegerLiteralExp

    <C> IntegerLiteralExp<C> createIntegerLiteralExp()

  Returns a new object of class 'Integer Literal Exp'.

  Returns:
    a new object of class 'Integer Literal Exp'.

### createUnlimitedNaturalLiteralExp

    <C> UnlimitedNaturalLiteralExp<C> createUnlimitedNaturalLiteralExp()

  Returns a new object of class 'Unlimited Natural Literal Exp'.

  Returns:
    a new object of class 'Unlimited Natural Literal Exp'.

### createInvalidLiteralExp

    <C> InvalidLiteralExp<C> createInvalidLiteralExp()

  Returns a new object of class 'Invalid Literal Exp'.

  Returns:
    a new object of class 'Invalid Literal Exp'.

### createIterateExp

    <C,PM> IterateExp<C,PM> createIterateExp()

  Returns a new object of class 'Iterate Exp'.

  Returns:
    a new object of class 'Iterate Exp'.

### createIteratorExp

    <C,PM> IteratorExp<C,PM> createIteratorExp()

  Returns a new object of class 'Iterator Exp'.

  Returns:
    a new object of class 'Iterator Exp'.

### createLetExp

    <C,PM> LetExp<C,PM> createLetExp()

  Returns a new object of class 'Let Exp'.

  Returns:
    a new object of class 'Let Exp'.

### createMessageExp

    <C,COA,SSA> MessageExp<C,COA,SSA> createMessageExp()

  Returns a new object of class 'Message Exp'.

  Returns:
    a new object of class 'Message Exp'.

### createNullLiteralExp

    <C> NullLiteralExp<C> createNullLiteralExp()

  Returns a new object of class 'Null Literal Exp'.

  Returns:
    a new object of class 'Null Literal Exp'.

### createOperationCallExp

    <C,O> OperationCallExp<C,O> createOperationCallExp()

  Returns a new object of class 'Operation Call Exp'.

  Returns:
    a new object of class 'Operation Call Exp'.

### createPropertyCallExp

    <C,P> PropertyCallExp<C,P> createPropertyCallExp()

  Returns a new object of class 'Property Call Exp'.

  Returns:
    a new object of class 'Property Call Exp'.

### createRealLiteralExp

    <C> RealLiteralExp<C> createRealLiteralExp()

  Returns a new object of class 'Real Literal Exp'.

  Returns:
    a new object of class 'Real Literal Exp'.

### createStateExp

    <C,S> StateExp<C,S> createStateExp()

  Returns a new object of class 'State Exp'.

  Returns:
    a new object of class 'State Exp'.

### createStringLiteralExp

    <C> StringLiteralExp<C> createStringLiteralExp()

  Returns a new object of class 'String Literal Exp'.

  Returns:
    a new object of class 'String Literal Exp'.

### createTupleLiteralExp

    <C,P> TupleLiteralExp<C,P> createTupleLiteralExp()

  Returns a new object of class 'Tuple Literal Exp'.

  Returns:
    a new object of class 'Tuple Literal Exp'.

### createTupleLiteralPart

    <C,P> TupleLiteralPart<C,P> createTupleLiteralPart()

  Returns a new object of class 'Tuple Literal Part'.

  Returns:
    a new object of class 'Tuple Literal Part'.

### createTypeExp

    <C> TypeExp<C> createTypeExp()

  Returns a new object of class 'Type Exp'.

  Returns:
    a new object of class 'Type Exp'.

### createUnspecifiedValueExp

    <C> UnspecifiedValueExp<C> createUnspecifiedValueExp()

  Returns a new object of class 'Unspecified Value Exp'.

  Returns:
    a new object of class 'Unspecified Value Exp'.

### createVariable

    <C,PM> Variable<C,PM> createVariable()

  Returns a new object of class 'Variable'.

  Returns:
    a new object of class 'Variable'.

### createVariableExp

    <C,PM> VariableExp<C,PM> createVariableExp()

  Returns a new object of class 'Variable Exp'.

  Returns:
    a new object of class 'Variable Exp'.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.